Loading...
Searching...
No Matches
openshot::AudioLocation Struct Reference

This struct holds the associated video frame and starting sample # for an audio packet. More...

`#include <AudioLocation.h>`

## Public Member Functions

| AudioLocation ()
| AudioLocation (int64_t frame, int sample_start)
bool | is_near (AudioLocation location, int samples_per_frame, int64_t amount)

## Public Attributes

int64_t | frame
int | sample_start

## Detailed Description

This struct holds the associated video frame and starting sample # for an audio packet.

Because audio packets do not match up with video frames, this helps determine exactly where the audio packet's samples belong.

Definition at line 25 of file AudioLocation.h.

## Constructor & Destructor Documentation

## AudioLocation() [1/2]

openshot::AudioLocation::AudioLocation | ( |  | ) |

inline

Definition at line 30 of file AudioLocation.h.

## AudioLocation() [2/2]

openshot::AudioLocation::AudioLocation | ( | int64_t | frame,
|  | int | sample_start
| ) |  |

inline

Definition at line 31 of file AudioLocation.h.

## Member Function Documentation

## is_near()

bool AudioLocation::is_near | ( | AudioLocation | location,
|  | int | samples_per_frame,
|  | int64_t | amount
| ) |  |

Definition at line 107 of file FFmpegReader.cpp.

## Member Data Documentation

## frame

int64_t openshot::AudioLocation::frame

Definition at line 26 of file AudioLocation.h.

Referenced by is_near(), and openshot::FFmpegReader::Open().

## sample_start

int openshot::AudioLocation::sample_start

Definition at line 27 of file AudioLocation.h.

Referenced by is_near(), and openshot::FFmpegReader::Open().

The documentation for this struct was generated from the following files:

- AudioLocation.h
- FFmpegReader.cpp